#ifndef __INTL_H
 #define __INTL_H

 #if defined (ENABLE_NLS) && ! defined (GETTEXT_PACKAGE)
  #define GETTEXT_PACKAGE "libglade-i18n"
 #endif

 #ifdef ENABLE_NLS
  #include <libintl.h>

  #ifdef GETTEXT_PACKAGE
   #undef _
   #define _(s) dgettext(GETTEXT_PACKAGE,s)
  #else
   #define _(s) gettext(s)
  #endif

  #ifdef gettext_noop
   #define N_(s) gettext_noop(s)
  #else
   #define N_(s) (s)
  #endif

 #else
  #define _(s) (s)
  #define N_(s) (s)
  #define textdomain(s) (s)
  #define gettext(s) (s)
  #define dgettext(domain,s) (s)
  #define dcgettext(domain,s,type) (s)
  #define bindtextdomain(domain,directory) (domain) 
 #endif /* ENABLE_NLS */

#endif
