#include <gtk/gtk.h>
#include <glade/glade-xml.h>

#include "libglade-i18n.h"


#ifdef ENABLE_NLS
static void init_i18n()
{
	bindtextdomain(GETTEXT_PACKAGE, "locale");
	bind_textdomain_codeset(GETTEXT_PACKAGE, "utf-8");
	textdomain(GETTEXT_PACKAGE);
}
#else
#define init_i18n()	{}
#endif

int main(int argc, char **argv)
{
GladeXML *xml;

	init_i18n();

	gtk_init(&argc, &argv);

	xml = glade_xml_new("libglade-i18n.glade2", "window", GETTEXT_PACKAGE);
	g_return_val_if_fail(xml != NULL, -1);
	glade_xml_signal_autoconnect(xml);

	glade_xml_get_widget(xml, "window");

	gtk_main();
	return 0;
}
